Bug 1259049 - Change timezone for pod and build-logs [NEEDINFO]
Change timezone for pod and build-logs
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Peter Portante
Anping Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 16:30 EDT by Jochen Cordes
Modified: 2018-02-13 14:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-13 14:33:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rmeggins: needinfo? (jcordes)


Attachments (Terms of Use)

  None (edit)
Description Jochen Cordes 2015-09-01 16:30:33 EDT
Description of problem:

Right now pod and build-logs are using EDT as timezone. This should be made configurable or taken over from the node.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Luke Meyer 2015-09-23 13:57:13 EDT
Pod and build logs both display whatever the app dumps into the logs. It's the app's responsibility to put timestamps in the log.

On my installation, at least, the host has EDT timezone while the container is dumping logs in UTC. I would assume that the app gets a UTC locale by default; don't know where we would configure that.
Comment 3 Rich Megginson 2016-11-08 16:48:22 EST
Is this still a problem?  If so, is it a problem with logging?

Note You need to log in before you can comment on or make changes to this bug.